Subject: SUMMARY: 4port (Multiport serial cards)
From: [email-masked]
Date: Wed, 16 Mar 1994 20:00:49 GMT
Newsgroups: comp.os.linux.announce,comp.os.linux.help

[I welcome any and all comprehensive summaries to questions posted in
c.o.l.* to comp.os.linux.announce! Please mail your summaries to
[email-masked]. These postings are archived, so they
are useful in the long run. Thanks! --mdw]

The following is a summary of the info I received about multiport serial 
cards for Linux and SCO. Thanks to all who responded. The original messages
are included for further info.

Linux only works with 'dumb' cards, like:

AST 4-port (16450) $29.95
    Electronics and Computer Surplus City (800)543-0540

Longshine LCS-8880+ (16550) $89
    ALTEX Electronics (800)531-5369, or (214)386-8882
    11342 IH 35 North
    San Antonio, TX  78233
    *this card can use the FAS driver.

SCO supports dumb cards upto 9.6bps. The FAS drivers are needed
for faster thru-put.

------------------------------------------------------------------------------
[email-masked] (Dan Wilder) wrote:

Linux supports only dumb cards at the moment.  Allegedly there are
drivers for the Multiport cards in the works, but no dice yet.
If you need really fast multiport service (>6 lines at 38.4kbaud)
consider an ethernet terminal server, these cost a bit but they
give you machine independence, you can use 'em with anything that
supports ethernet.  4-port dumb boards are legion, should be able
to get one with 16550 UARTs for $100 or so, you can go surplus
and get an AST 4-port (16450, but socketed) from Electronics and
Computer Surplus City (for instance) at 1-800-543-0540, COD only,
$29.95, find 16550s in Computer Shopper for around $10 each.
The Usenet card mentioned in the FAQ is a little overpriced at
$255 but comes with very good documentation.  The manufacturer
claims they run 16 ports on their box with up to six UUCP connections
at 38kbaud at the same time, no big performance degradation.

>P.S. It will need to work with SCO ODT 3.0, but I can confirm this
>with the manufacturer.

Dumb cards (according to my local SCO VAR) do not work yet with SCO
any faster than 9.6 kbaud, you need to obtain the FAS drivers from
the net and install them, then SCO works well.

------------------------------------------------------------------------------

[email-masked] (Larry L Goodwin) wrote:

> Newsgroups: biz.sco.general
> From: Keith Smith <[email-masked]>
> Subject: Re: Which multi-port serial card?
> Organization: Keith's Public Access Computer System
> Date: 	Sun, 20 Feb 1994 22:29:45 -0500
> 
> In article <[email-masked]>, Andrew Beattie <[email-masked]> wrote:
> >I need to drop a multi-port serial card into my 486 SCO ISA box.
> >
> >I don't need many ports - 4 would do, althout I'll buy 8 if the price
> >difference is small.  I will be hanging modems off the ports to do
> >UUCP, kermit, SLIP, PPP, hopefully at high speed.
> >
> >Which card will give me the least hassle?  Which should I avoid?
> 
> If a smart card is not a neccesity use the Longshine LCS-8880+, available
> from ALTEX Electronics.  I beleive it now comes standard with 16550
> chips (Buffered UARTS) in it and 4 DB-25's for the whopping price of
> US$89.  Can be configured as an AST/4 with the mkdev serial command,
> Takes about 5 minutes to set up.
> 
> 1-800-531-5369
> 1-214-386-8882
> 
> They are in Texas.
> 
> This card can also use the FAS driver.
> -- 
> Keith Smith          [email-masked]              5719 Archer Rd.
> Digital Designs      BBS 1-910-423-4216            Hope Mills, NC 28348-2201
> Somewhere in the Styx of North Carolina ...

------------------------------------------------------------------------------

[email-masked] (Kees Serier) wrote:

> 
> I've heard of a company called LongShine, and I *assume* they make a
> multiport serial card called ShineCom or something.
> If you have any info on either of these proper nouns, please email me.

I've seen an advertisement in a dutch computer magazine, about a AST 4 port
compatible serial card for 140 dutch guilders that is about us$ 75.
After calling this company I heard there were 16450 UART's on it placed in
an ic-socket so they can be replaced easily with a 16550 for high-speed.
I'm thinking about buying one.
I hope this info helps.

------------------------------------------------------------------------------

[email-masked] (William Devine) wrote:

Boca's 16port card can control modems and works with linux along
with including sco drivers.  boca's 1004 and 1008 card cannot control
modems though.  i have one for four terminals and it works great under
linux and also comes with sco drivers.
------------------------------------------------------------------------------

In response to more of my questions, 
[email-masked] (Dan Wilder) wrote:

Mike

>what exactly is a 'dumb' card?

A dumb card has UARTS driving interrupt lines and buffers to the
bus.  The host computer services an interrupt per character (more
or less) and takes care of loading each character to and from the
UART hardware registers.  Needless to say, this consumes processor
cycles.

A smart card has a processor or at least some very complex electronics
onboard controlling the UARTS, and often a DMA controller or at least
a bank of dual-port RAM.  The main CPU initiates transfers that
are in part taken care of by the serial board processor, sometimes
to the extent of servicing the UARTs and when a message is ready
(turnaround character found, expected character count satisfied,
intercharacter timeout, or other terminating condition) initiating
DMA transfer to main memory.  Failing that, the card processor loads
the incoming data (or grabs the outgoing data) from the dual-port
RAM and hides it somewhere else while it takes care of the transfer.
High-end smart cards use RISC processors to do all this.  Plain old
low-end smart cards may exhibit (for instance) an 80186. The limiting
factor on the throughput for a smart card is ultimately your bus
bandwidth.  Most serial cards with more than eight ports are smart.
Any smart card is going to run you several hundred dollars. 

>Is it able to run at >9.6bps? 
>What's the diff between 16450 vs 16550 UART?

The 16550 has a character FIFO that you can turn on and off under
program control.  This buys you several character times of latency
you can tolerate before you start losing characters.  With any
multitasking system, the latency is a lifesaver.  There are short
times when the system is just too backed up to get to a character
within one character time, even though the average capacity is 
there to service all the load.  Look at it as load averaging.
It still puts a heavier demand on the main processor and its
bus than a smart card.  Typically, one interrupt service and return
plus a dozen instruction fetches (in a very tight driver) and 
some data fetches and stores, per character, versus a couple of
bus cycles stolen by a DMA controller, per character.

>Tell me more about the FAS drivers. If I load the FAS drivers on my SCO
>box, then can a 'dumb' multiport card's ports run >9.6bps?

Yes, with 16550s.  According to my SCO VAR buddy who has done it.
Probably not more than (say) five ports running 38k baud at the 
same time, maybe less.  That's all I know about the FAS drivers,
no doubt an archie search would reveal where they are hiding
on the net.  If you like, mail [email-masked], mention my name,
he knows where the drivers live.  

---
Dan Wilder